### Function

# Soup uri_copy

#### Declaration [src]

    GUri*
    soup_uri_copy (
      GUri* uri,
      SoupURIComponent first_component,
      ...
    )

#### Description [src]

Return a copy of `uri` with the given components updated.

This function is not directly available to language bindings

#### Parameters

`uri` | `GUri`
| The `GUri` to copy.
| The data is owned by the caller of the function.
`first_component` | `SoupURIComponent`
| First `SoupURIComponent` to update.
`...` | ``
| Value of `first_component` followed by additional components and values, terminated by `SOUP_URI_NONE`.

#### Return value

Returns: | `GUri`
| A new `GUri`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.